// SingleDoc.cpp 

#include "stdafx.h"
#include "Single.h"

#include "SingleDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

////////////////////////////////////////////////////////////////////////////////////////////////////
// Макрокоманда необходима для динамического создания объектов 
// CSingleDoc
IMPLEMENT_DYNCREATE(CSingleDoc, CDocument)

// Таблица сообщений класса CSingleDoc
BEGIN_MESSAGE_MAP(CSingleDoc, CDocument)
	//{{AFX_MSG_MAP(CSingleDoc)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

////////////////////////////////////////////////////////////////////////////////////////////////////
// Конструктор класса CSingleDoc
CSingleDoc::CSingleDoc()
{
	// TODO:
}

// Деструктор класса CSingleDoc
CSingleDoc::~CSingleDoc()
{
}

// Метод OnNewDocument класса CSingleDoc
BOOL CSingleDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: здесь можно выполнить инициализацию 
	// документа

	return TRUE;
}

// Сохранение и восстановление документа 
// Метод Serialize класса CSingleDoc
void CSingleDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: здесь выполняется запись документа в файл
	}
	else
	{
		// TODO: здесь выполняется чтение документа из файла
	}
}

/////////////////////////////////////////////////////////////////////////////
// Диагностические методы класса CSingleDoc 
#ifdef _DEBUG

// Метод AssertValid класса CSingleDoc
void CSingleDoc::AssertValid() const
{
	CDocument::AssertValid();
}

// Метод Dump класса CSingleDoc
void CSingleDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
